## gnome-boxes 3.38.2

=== meson_options.txt ===
option ('distributor_name',
        type: 'string',
        value: 'GNOME',
        description: 'Distributor name used in HTTP user agent')

option ('distributor_version',
        type: 'string',
        value: '3',
        description: 'Distributor version used in HTTP user agent')

option ('rdp',
        type: 'boolean',
        value: true)

option ('installed_tests',
        type: 'boolean',
        value: false,
        description: 'enable installed unit tests')

option ('flatpak',
        type: 'boolean',
        value: false,
        description: 'Whether Boxes is going to run in a Flatpak')

option ('profile',
  type: 'combo', choices: [
    'default',
    'development'
  ],
  value: 'default'
)

option ('gnome-os-uefi',
        type: 'boolean',
        value: true,
        description: 'Use UEFI whenever it is possible')

=== debian/changelog ===
gnome-boxes (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Recognise file extensions case-insensitively
    - Update list of latest distro releases
    - Update download URLs for GNOME OS
    - Translation updates
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Nov 2020 16:53:46 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-boxes
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: appstream-util <!nocheck>,
               debhelper-compat (= 12),
               desktop-file-utils <!nocheck>,
               dh-sequence-gnome,
               freerdp2-dev,
               gobject-introspection (>= 0.9.6),
               itstool,
               libarchive-dev (>= 3.0.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.52.0),
               libgtk-3-dev (>= 3.22.20),
               libgtk-vnc-2.0-dev (>= 0.4.4),
               libgtksourceview-4-dev,
               libgudev-1.0-dev (>= 165),
               libhandy-0.0-dev (>= 0.0.11),
               libosinfo-1.0-dev (>= 1.7.0),
               libsecret-1-dev,
               libsoup2.4-dev (>= 2.44),
               libspice-client-gtk-3.0-dev (>= 0.32),
               libtracker-sparql-2.0-dev,
               libusb-1.0-0-dev (>= 1.0.9),
               libvirt-dev,
               libvirt-glib-1.0-dev (>= 3.0.0),
               libvte-2.91-dev (>= 0.40.2),
               libwebkit2gtk-4.0-dev (>= 2.26),
               libxml2-dev (>= 2.7.8),
               libxml2-utils,
               meson (>= 0.50),
               valac (>= 0.36.0)
Rules-Requires-Root: no
Standards-Version: 4.5.1
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
Homepage: https://wiki.gnome.org/Apps/Boxes

Package: gnome-boxes
Architecture: any
Depends: genisoimage,
         libosinfo-bin,
         libvirt-daemon,
         tracker (>= 2.0),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qemu-system-x86
Breaks: libspice-server1 (<< 0.12.5-1.1~)
Description: Simple GNOME app to access remote or virtual systems
 GNOME Boxes is a desktop client to view or use local virtual machines,
 remote physical machines, or remote virtual machines. Boxes is
 intentionally simple and easy to use.
 .
 Hardware virtualization is required to use local virtual machines.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

## gnome-boxes 40~beta

=== debian/changelog ===
gnome-boxes (40~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - build with the new libhandy version
  * debian/patches/Revert-libhandy-subproject.patch:
    - removed, that's not needed anymore

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 20:20:54 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libgtk-vnc-2.0-dev (>= 0.4.4),
                libgtksourceview-4-dev,
                libgudev-1.0-dev (>= 165),
-               libhandy-0.0-dev (>= 0.0.11),
+               libhandy-1-dev (>= 1.0),
                libosinfo-1.0-dev (>= 1.7.0),
                libsecret-1-dev,
                libsoup2.4-dev (>= 2.44),

## gnome-boxes 40.1

=== debian/changelog ===
gnome-boxes (40.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated libvirt-glib requirement
  * debian/watch:
    - Update to follow the new GNOME version scheme

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 11 May 2021 09:27:39 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                libtracker-sparql-2.0-dev,
                libusb-1.0-0-dev (>= 1.0.9),
                libvirt-dev,
-               libvirt-glib-1.0-dev (>= 3.0.0),
+               libvirt-glib-1.0-dev (>= 4.0.0),
                libvte-2.91-dev (>= 0.40.2),
                libwebkit2gtk-4.0-dev (>= 2.26),
                libxml2-dev (>= 2.7.8),

## gnome-boxes 40.2

=== debian/changelog ===
gnome-boxes (40.2-2) experimental; urgency=medium

  * Switch to tracker 3.
    - control: Update build-dependency, bump binary dependency to `>= 3.0`.
    - Revert-media-manager-Port-to-Tracker-3.patch: Drop this

 -- Iain Lane <laney@debian.org>  Thu, 24 Jun 2021 11:01:54 +0100

gnome-boxes (40.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 21:43:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util <!nocheck>,
                debhelper-compat (= 12),
                desktop-file-utils <!nocheck>,
@@ -26,7 +26,7 @@
                libsecret-1-dev,
                libsoup2.4-dev (>= 2.44),
                libspice-client-gtk-3.0-dev (>= 0.32),
-               libtracker-sparql-2.0-dev,
+               libtracker-sparql-3.0-dev,
                libusb-1.0-0-dev (>= 1.0.9),
                libvirt-dev,
                libvirt-glib-1.0-dev (>= 4.0.0),
@@ -48,7 +48,7 @@
 Depends: genisoimage,
          libosinfo-bin,
          libvirt-daemon,
-         tracker (>= 2.0),
+         tracker (>= 3.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: qemu-system-x86

## gnome-boxes 40.3

=== debian/changelog ===
gnome-boxes (40.3-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 17:25:24 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
                freerdp2-dev,

## gnome-boxes 41.1

=== debian/changelog ===
gnome-boxes (41.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 21:51:33 -0400

gnome-boxes (41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Update
  * debian/control.in: Remove remote connection support from package
    description
  * debian/control.in: Suggest gnome-connections since that app
    is GNOME's new remote desktop client

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Sep 2021 18:25:33 -0400

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                meson (>= 0.50),
                valac (>= 0.36.0)
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
@@ -52,10 +52,13 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: qemu-system-x86
+Suggests: gnome-connections
 Breaks: libspice-server1 (<< 0.12.5-1.1~)
-Description: Simple GNOME app to access remote or virtual systems
- GNOME Boxes is a desktop client to view or use local virtual machines,
- remote physical machines, or remote virtual machines. Boxes is
- intentionally simple and easy to use.
+Description: Simple GNOME app to access virtual systems
+ GNOME Boxes is a desktop client to view or use local virtual machines.
+ Boxes is intentionally simple and easy to use.
  .
- Hardware virtualization is required to use local virtual machines.
+ Hardware virtualization is required.
+ .
+ Previously, GNOME Boxes could also be used to connect to remote computers,
+ but that feature is now provided by the GNOME Connections app.

## gnome-boxes 41.2

=== debian/changelog ===
gnome-boxes (41.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 05 Dec 2021 09:06:26 -0500

## gnome-boxes 42~beta

=== debian/changelog ===
gnome-boxes (42~beta-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * debian/control.in: Bump minimum libhandy
  * debian/control.in: Drop unused Build-Depend on gtksourceview4

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 24 Feb 2022 04:33:39 -0500

gnome-boxes (41.3-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick patch to fix build with latest meson

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 17 Jan 2022 23:55:44 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util <!nocheck>,
                debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
@@ -19,9 +19,8 @@
                libglib2.0-dev (>= 2.52.0),
                libgtk-3-dev (>= 3.22.20),
                libgtk-vnc-2.0-dev (>= 0.4.4),
-               libgtksourceview-4-dev,
                libgudev-1.0-dev (>= 165),
-               libhandy-1-dev (>= 1.0),
+               libhandy-1-dev (>= 1.5.90),
                libosinfo-1.0-dev (>= 1.7.0),
                libsecret-1-dev,
                libsoup2.4-dev (>= 2.44),

## gnome-boxes 42~rc

=== debian/changelog ===
gnome-boxes (42~rc-1ubuntu1) jammy; urgency=medium

  * Add patch to only feature Ubuntu and GNOME OS

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Mar 2022 16:11:45 -0500

gnome-boxes (42~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 11:17:36 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-boxes
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util <!nocheck>,
                debhelper-compat (= 13),

## gnome-boxes 42.0.1

=== debian/changelog ===
gnome-boxes (42.0.1-1ubuntu1) jammy; urgency=medium

  * Sync with Debian. Remaining change:
    - Add patch to only feature Ubuntu and GNOME OS

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 13:21:30 -0400

gnome-boxes (42.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 13:19:32 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util <!nocheck>,
                debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
@@ -39,8 +39,10 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 X-Ubuntu-Use-Langpack: yes
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes/tree/ubuntu/master
 Homepage: https://wiki.gnome.org/Apps/Boxes
 
 Package: gnome-boxes

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@

## gnome-boxes 42.2

=== meson_options.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 option ('rdp',
         type: 'boolean',
-        value: true)
+        value: false)
 
 option ('installed_tests',
         type: 'boolean',
@@ -30,7 +30,7 @@
   value: 'default'
 )
 
-option ('gnome-os-uefi',
+option ('uefi',
         type: 'boolean',
         value: true,
-        description: 'Use UEFI whenever it is possible')
+        description: 'Allow installing operating systems with UEFI')

=== debian/changelog ===
gnome-boxes (42.2-1ubuntu1) kinetic; urgency=medium

  * Sync with Debian (LP: #1980416). Remaining changes:
    - Update recommended-downloads patch to only feature Ubuntu
    - Use dh_migrations to remove the old cached Ubuntu logo

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Jul 2022 09:09:50 -0400

gnome-boxes (42.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh recommended-downloads.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Jul 2022 08:53:33 -0400

gnome-boxes (42.1-1ubuntu1) kinetic; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Sync with Debian. Remaining change:
    - Add patch to only feature Ubuntu and GNOME OS

  [ Jeremy Bicha ]
  * Update-recommended-download.patch: Drop GNOME OS.
    A UEFI Firmware issue prevents it from booting
  * Use dh_migrations to remove the old cached Ubuntu logo

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 31 May 2022 14:48:46 -0400

gnome-boxes (42.1-1) unstable; urgency=medium

  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 31 May 2022 13:18:46 -0300

gnome-boxes (42.0.1-2) unstable; urgency=medium

  * Add patch to set Recommended Downloads

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 07 Apr 2022 16:29:35 -0400

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
+               dh-sequence-migrations,
                freerdp2-dev,
                gobject-introspection (>= 0.9.6),
                itstool,

## gnome-boxes 42.2-0ubuntu1+11.0trisquel1

=== debian/changelog ===
gnome-boxes (42.2-0ubuntu1+11.0trisquel1) aramo; urgency=medium

  * Replace recommended downloads.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 Aug 2022 06:38:02 +0000

gnome-boxes (42.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1980416)
  * Use session-migration to remove the old cached Ubuntu logo (LP: #1980413)
  * Don't recommend GNOME OS since it doesn't run in our GNOME Boxes
    (LP: #1980414)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Jul 2022 09:19:20 -0400

## gnome-boxes 42.2-0ubuntu1+11.0trisquel5

=== debian/changelog ===
gnome-boxes (42.2-0ubuntu1+11.0trisquel5) aramo; urgency=medium

  * Replace recommended downloads.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 06 Aug 2024 01:37:35 +0000

## gnome-boxes 42.2-0ubuntu1+11.0trisquel6

=== debian/changelog ===
gnome-boxes (42.2-0ubuntu1+11.0trisquel6) aramo; urgency=medium

  * Replace recommended downloads.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 27 Oct 2025 06:52:26 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Source: gnome-boxes
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util <!nocheck>,
@@ -29,7 +29,7 @@
                libspice-client-gtk-3.0-dev (>= 0.32),
                libtracker-sparql-3.0-dev,
                libusb-1.0-0-dev (>= 1.0.9),
-               libvirt-dev,
+               libvirt-dev, cmake, libsasl2-dev, libpulse-dev,
                libvirt-glib-1.0-dev (>= 4.0.0),
                libvte-2.91-dev (>= 0.40.2),
                libwebkit2gtk-4.0-dev (>= 2.26),
@@ -42,8 +42,8 @@
 X-Ubuntu-Use-Langpack: yes
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes/tree/ubuntu/jammy
 Homepage: https://wiki.gnome.org/Apps/Boxes
 
 Package: gnome-boxes

## gnome-boxes 42.3

=== debian/changelog ===
gnome-boxes (42.3-1ubuntu1) kinetic; urgency=medium

  * Sync with Debian. Remaining changes:
    - Update recommended-downloads patch to only feature Ubuntu
    - Use dh_migrations to remove the old cached Ubuntu logo

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 Aug 2022 16:09:25 -0400

gnome-boxes (42.3-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick Port-to-libsoup-3.patch
  * Update Build-Depends to build against libsoup3
  * Add temporary patch to stop using tracker until we are ready to switch
    it & everything using evolution-data-server to libsoup3
  * debian/control.in: Temporarily drop tracker Depends & Build-Depends

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 Aug 2022 16:01:37 -0400

gnome-boxes (42.2-1ubuntu2) kinetic; urgency=medium

  * Cherry-pick Port-to-libsoup-3.patch
  * Update Build-Depends to build against libsoup3
  * Add temporary patch to stop using tracker until we are ready to switch
    it & everything using evolution-data-server to libsoup3
  * debian/control.in: Temporarily drop tracker Depends & Build-Depends

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 17 Jul 2022 08:07:15 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-boxes
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: appstream-util <!nocheck>,
               debhelper-compat (= 13),
               desktop-file-utils <!nocheck>,
               dh-sequence-gnome,
               freerdp2-dev,
               gobject-introspection (>= 0.9.6),
               itstool,
               libarchive-dev (>= 3.0.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.52.0),
               libgtk-3-dev (>= 3.22.20),
               libgtk-vnc-2.0-dev (>= 0.4.4),
               libgudev-1.0-dev (>= 165),
               libhandy-1-dev (>= 1.5.90),
               libosinfo-1.0-dev (>= 1.10.0-2~),
               libsecret-1-dev,
               libspice-client-gtk-3.0-dev (>= 0.41-2~),
#               libtracker-sparql-3.0-dev,
               libusb-1.0-0-dev (>= 1.0.9),
               libvirt-dev,
               libvirt-glib-1.0-dev (>= 4.0.0),
               libvte-2.91-dev (>= 0.40.2),
               libwebkit2gtk-4.1-dev,
               libxml2-dev (>= 2.7.8),
               libxml2-utils,
               meson (>= 0.50),
               valac (>= 0.36.0)
Rules-Requires-Root: no
Standards-Version: 4.6.0
X-Ubuntu-Use-Langpack: yes
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes/tree/ubuntu/master
Homepage: https://wiki.gnome.org/Apps/Boxes

Package: gnome-boxes
Architecture: any
Depends: genisoimage,
         libosinfo-bin,
         libvirt-daemon,
#         tracker (>= 3.0),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qemu-system-x86
Suggests: gnome-connections
Breaks: libspice-server1 (<< 0.12.5-1.1~)
Description: Simple GNOME app to access virtual systems
 GNOME Boxes is a desktop client to view or use local virtual machines.
 Boxes is intentionally simple and easy to use.
 .
 Hardware virtualization is required.
 .
 Previously, GNOME Boxes could also be used to connect to remote computers,
 but that feature is now provided by the GNOME Connections app.

## gnome-boxes 43~beta

=== debian/changelog ===
gnome-boxes (43~beta-1ubuntu1) kinetic; urgency=medium

  * Sync with Debian. Remaining changes:
    - Update debian/gsettings-override & recommended-downloads.xml
      for Ubuntu
    - Use dh_migrations to remove the old cached Ubuntu logo

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 Aug 2022 16:09:25 -0400

gnome-boxes (43~beta-1) experimental; urgency=medium

  * New upstream release
  * Restore tracker dependency
  * Drop all patches: obsolete or applied in new release
  * Add debian/recommended-downloads.xml
  * Add debian/gsettings-override to point recommended-downloads to Salsa
  * debian/docs: README.logos is no longer provided

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 23 Aug 2022 15:45:30 -0400

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libosinfo-1.0-dev (>= 1.10.0-2~),
                libsecret-1-dev,
                libspice-client-gtk-3.0-dev (>= 0.41-2~),
-#               libtracker-sparql-3.0-dev,
+               libtracker-sparql-3.0-dev,
                libusb-1.0-0-dev (>= 1.0.9),
                libvirt-dev,
                libvirt-glib-1.0-dev (>= 4.0.0),
@@ -49,7 +49,7 @@
 Depends: genisoimage,
          libosinfo-bin,
          libvirt-daemon,
-#         tracker (>= 3.0),
+         tracker (>= 3.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: qemu-system-x86

## gnome-boxes 43~rc

=== debian/changelog ===
gnome-boxes (43~rc-1ubuntu1) kinetic; urgency=medium

  * Sync with Debian. Remaining changes:
    - Update debian/gsettings-override & recommended-downloads.xml
      for Ubuntu
    - Use dh_migrations to remove the old cached Ubuntu logo

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 10:32:02 -0400

gnome-boxes (43~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/recommended-downloads.xml: Use new syntax
  * debian/control.in: Bump minimum meson to 0.59.0
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 10:23:36 -0400

## gnome-boxes 43.0

=== debian/changelog ===
gnome-boxes (43.0-1ubuntu1) kinetic; urgency=medium

  * Sync with Debian. Remaining changes:
    - Update debian/gsettings-override & recommended-downloads.xml
      for Ubuntu
    - Use dh_migrations to remove the old cached Ubuntu logo

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 09:05:32 -0400

gnome-boxes (43.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 08:57:54 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
@@ -33,7 +33,7 @@
                libwebkit2gtk-4.1-dev,
                libxml2-dev (>= 2.7.8),
                libxml2-utils,
-               meson (>= 0.50),
+               meson (>= 0.59.0),
                valac (>= 0.36.0)
 Rules-Requires-Root: no
 Standards-Version: 4.6.0

## gnome-boxes 43.2

=== debian/changelog ===
gnome-boxes (43.2-1) unstable; urgency=medium

  [ Iain Lane ]
  * New upstream release
   - Fix wrong key sent for the tty9 shortcut
   - Fix creating VMs from remote disks
   - Added/updated/fixed translations
   - Sync VM's clock to the host's configured timezone
   - Store all express-install credentials in the keyring
  * debian/control{,.in}: Bump Standards-Version to 4.6.2, no changes required

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
    * gnome-boxes: Drop conflict with removed package libspice-server1 (<<
      0.12.5-1.1~) in Breaks.
    Changes-By: deb-scrub-obsolete

 -- Iain Lane <laney@debian.org>  Tue, 14 Feb 2023 21:03:33 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-boxes
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util <!nocheck>,
                debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
@@ -36,12 +35,10 @@
                meson (>= 0.59.0),
                valac (>= 0.36.0)
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 X-Ubuntu-Use-Langpack: yes
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes/tree/ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
 Homepage: https://wiki.gnome.org/Apps/Boxes
 
 Package: gnome-boxes
@@ -54,7 +51,6 @@
          ${shlibs:Depends}
 Recommends: qemu-system-x86
 Suggests: gnome-connections
-Breaks: libspice-server1 (<< 0.12.5-1.1~)
 Description: Simple GNOME app to access virtual systems
  GNOME Boxes is a desktop client to view or use local virtual machines.
  Boxes is intentionally simple and easy to use.

## gnome-boxes 44~beta.1

=== debian/changelog ===
gnome-boxes (44~beta.1-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Update debian/gsettings-override & recommended-downloads.xml
      for Ubuntu
    - Use dh_migrations to remove the old cached Ubuntu logo
  * debian/gsettings-override: Update for lunar

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 18:27:23 -0500

gnome-boxes (44~beta.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 18:17:03 -0500

gnome-boxes (43.2-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Update debian/gsettings-override & recommended-downloads.xml
      for Ubuntu
    - Use dh_migrations to remove the old cached Ubuntu logo

 -- Iain Lane <laney@ubuntu.com>  Tue, 14 Feb 2023 21:09:35 +0000

## gnome-boxes 44~rc

=== debian/changelog ===
gnome-boxes (44~rc-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Update debian/gsettings-override & recommended-downloads.xml
      for Ubuntu
    - Use dh_migrations to remove the old cached Ubuntu logo

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Mar 2023 16:30:19 -0500

gnome-boxes (44~rc-1) experimental; urgency=medium

  * New upstream release
    - Fixes inability to create VMs with 44~beta.1 (LP: #2008759)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Mar 2023 15:51:30 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-boxes
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
@@ -37,8 +38,10 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 X-Ubuntu-Use-Langpack: yes
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes/tree/ubuntu/master
 Homepage: https://wiki.gnome.org/Apps/Boxes
 
 Package: gnome-boxes

## gnome-boxes 44.0

=== debian/changelog ===
gnome-boxes (44.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Update debian/gsettings-override & recommended-downloads.xml
      for Ubuntu
    - Use dh_migrations to remove the old cached Ubuntu logo

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Mar 2023 14:23:26 +0100

gnome-boxes (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Mar 2023 14:16:03 +0100

## gnome-boxes 44.1

=== debian/changelog ===
gnome-boxes (44.1-1ubuntu2) lunar; urgency=medium

  * Use Launchpad instead of Salsa to host recommended-downloads.xml
  * debian/rules, debian/gsettings-override:
    - Adjust so that we can use the same packaging for Debian & Ubuntu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 05 Apr 2023 16:03:34 -0400

gnome-boxes (44.1-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Update debian/gsettings-override & recommended-downloads.xml
      for Ubuntu
    - Use dh_migrations to remove the old cached Ubuntu logo
  * debian/gbp.conf, debian/control.in: Branch for lunar

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 31 Mar 2023 14:34:07 -0400

gnome-boxes (44.1-1) experimental; urgency=medium

  * New upstream release
    - Fixes wrong amount of memory allocated to virtual machines (LP: #2013044)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 31 Mar 2023 10:03:32 -0400

=== debian/control ===
--- 
+++ 
@@ -40,8 +40,8 @@
 X-Ubuntu-Use-Langpack: yes
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git -b ubuntu/lunar
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes/tree/ubuntu/lunar
 Homepage: https://wiki.gnome.org/Apps/Boxes
 
 Package: gnome-boxes

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,12 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs --no-scripts
+
+execute_before_dh_installgsettings:
+ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+	sed -i "s#URL#'https://git.launchpad.net/~ubuntu-desktop/gnome-boxes/plain/recommended-downloads.xml?h=lunar'#g" \
+		debian/gsettings-override
+else
+	sed -i "s#URL#'https://salsa.debian.org/gnome-team/gnome-boxes/-/raw/debian/bookworm/debian/recommended-downloads.xml'#g" \
+		debian/gsettings-override
+endif

## gnome-boxes 44.2

=== debian/changelog ===
gnome-boxes (44.2-2) experimental; urgency=medium

  * Cherry-pick proposed patch to fix another issue with wrong memory allocated

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Jun 2023 16:19:24 -0400

gnome-boxes (44.2-1) experimental; urgency=medium

  * New upstream release
  * Use dh_user-session-migration to remove the old cached Ubuntu logo
  * Depend on user-session-migration
  * Update gsettings override handling so that the same packaging
    can handle Debian & Ubuntu
  * Depend on libvirt-clients to fix inability to create virtual machines
    (LP: #2016324)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 May 2023 11:30:35 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

execute_before_dh_installgsettings:
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	sed -i "s#URL#'https://git.launchpad.net/~ubuntu-desktop/gnome-boxes/plain/recommended-downloads.xml?h=mantic'#g" \
		debian/gsettings-override
else
	sed -i "s#URL#'https://salsa.debian.org/gnome-team/gnome-boxes/-/raw/debian/trixie/debian/recommended-downloads.xml'#g" \
		debian/gsettings-override
endif

## gnome-boxes 45~rc

=== debian/changelog ===
gnome-boxes (45~rc-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 12:35:42 -0400

gnome-boxes (44.2-3) unstable; urgency=medium

  [ Jarred Wilson ]
  * Add upstream repository information to debian/upstream/metadata

  [ Jeremy Bícha ]
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 12:28:54 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Source: gnome-boxes
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
+               dh-sequence-user-session-migration,
                freerdp2-dev,
                gobject-introspection (>= 0.9.6),
                itstool,
@@ -38,18 +38,18 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 X-Ubuntu-Use-Langpack: yes
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git -b ubuntu/lunar
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes/tree/ubuntu/lunar
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
 Homepage: https://wiki.gnome.org/Apps/Boxes
 
 Package: gnome-boxes
 Architecture: any
 Depends: genisoimage,
          libosinfo-bin,
+         libvirt-clients,
          libvirt-daemon,
          tracker (>= 3.0),
+         user-session-migration,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: qemu-system-x86

## gnome-boxes 45.0

=== debian/changelog ===
gnome-boxes (45.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 14 Dec 2023 11:13:23 -0800

gnome-boxes (45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 13:35:30 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-boxes
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                debhelper-compat (= 13),
@@ -51,8 +52,8 @@
          tracker (>= 3.0),
          user-session-migration,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: qemu-system-x86
+         ${shlibs:Depends},
+         qemu-system-x86
 Suggests: gnome-connections
 Description: Simple GNOME app to access virtual systems
  GNOME Boxes is a desktop client to view or use local virtual machines.

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,7 @@
 	sed -i "s#URL#'https://salsa.debian.org/gnome-team/gnome-boxes/-/raw/debian/trixie/debian/recommended-downloads.xml'#g" \
 		debian/gsettings-override
 endif
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## gnome-boxes 46.0

=== debian/changelog ===
gnome-boxes (46.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:04:33 +0000

gnome-boxes (46.0-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libportal-gtk3-dev
  * Drop patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 11:26:39 -0400

gnome-boxes (45.0-3) unstable; urgency=medium

  * Cherry-pick patch to enable GNOME OS by disabling Secure Boot
    inside GNOME Boxes (Closes: #1052299)
  * Bump minimum libvirt-glib to 5.0.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 07:19:21 -0500

gnome-boxes (45.0-2) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Update Ubuntu recommended downloads link for noble

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Dec 2023 17:13:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,12 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-boxes
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util <!nocheck>,
                debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
-               dh-sequence-gnome,
                dh-sequence-user-session-migration,
                freerdp2-dev,
                gobject-introspection (>= 0.9.6),
@@ -24,12 +19,13 @@
                libgudev-1.0-dev (>= 165),
                libhandy-1-dev (>= 1.5.90),
                libosinfo-1.0-dev (>= 1.10.0-2~),
+               libportal-gtk3-dev (>= 0.7),
                libsecret-1-dev,
                libspice-client-gtk-3.0-dev (>= 0.41-2~),
                libtracker-sparql-3.0-dev,
                libusb-1.0-0-dev (>= 1.0.9),
                libvirt-dev,
-               libvirt-glib-1.0-dev (>= 4.0.0),
+               libvirt-glib-1.0-dev (>= 5.0.0),
                libvte-2.91-dev (>= 0.40.2),
                libwebkit2gtk-4.1-dev,
                libxml2-dev (>= 2.7.8),
@@ -38,7 +34,6 @@
                valac (>= 0.36.0)
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
 Homepage: https://wiki.gnome.org/Apps/Boxes
@@ -52,8 +47,8 @@
          tracker (>= 3.0),
          user-session-migration,
          ${misc:Depends},
-         ${shlibs:Depends},
-         qemu-system-x86
+         ${shlibs:Depends}
+Recommends: qemu-system-x86
 Suggests: gnome-connections
 Description: Simple GNOME app to access virtual systems
  GNOME Boxes is a desktop client to view or use local virtual machines.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

execute_before_dh_installgsettings:
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	sed -i "s#URL#'https://git.launchpad.net/~ubuntu-desktop/gnome-boxes/plain/recommended-downloads.xml?h=noble'#g" \
		debian/gsettings-override
else
	sed -i "s#URL#'https://salsa.debian.org/gnome-team/gnome-boxes/-/raw/debian/trixie/debian/recommended-downloads.xml'#g" \
		debian/gsettings-override
endif

## gnome-boxes 46.0-1build1trisquel5

=== debian/changelog ===
gnome-boxes (46.0-1build1trisquel5) ecne; urgency=medium

  * Replace recommended downloads.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 15 Oct 2024 07:50:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gnome-boxes
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: appstream-util <!nocheck>,

## gnome-boxes 46.1

=== debian/changelog ===
gnome-boxes (46.1-4) unstable; urgency=medium

  * Cherry-pick 2 patches to fix build with gcc-14 (Closes: #1075203)
  * Fix build with debhelper 13.17 and set minimum debhelper to 13.17

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Aug 2024 16:58:18 -0400

gnome-boxes (46.1-3) unstable; urgency=medium

  * Opt into debhelper compat 14
  * Add lintian overrides for false positives triggered by switch to compat 14

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Jun 2024 13:48:52 -0400

gnome-boxes (46.1-2) unstable; urgency=medium

  * Update Ubuntu's recommended downloads link for Oracular
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 11:21:45 -0400

gnome-boxes (46.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 16:35:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: gnome-boxes
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+X-DH-Compat: 14
 Build-Depends: appstream-util <!nocheck>,
-               debhelper-compat (= 13),
+               debhelper (>= 13.17),
                desktop-file-utils <!nocheck>,
                dh-sequence-user-session-migration,
                freerdp2-dev,
@@ -33,10 +33,10 @@
                meson (>= 0.59.0),
                valac (>= 0.36.0)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
-Homepage: https://wiki.gnome.org/Apps/Boxes
+Homepage: https://apps.gnome.org/Boxes/
 
 Package: gnome-boxes
 Architecture: any
@@ -46,8 +46,6 @@
          libvirt-daemon,
          tracker (>= 3.0),
          user-session-migration,
-         ${misc:Depends},
-         ${shlibs:Depends}
 Recommends: qemu-system-x86
 Suggests: gnome-connections
 Description: Simple GNOME app to access virtual systems

## gnome-boxes 47~beta

=== debian/changelog ===
gnome-boxes (47~beta-1) unstable; urgency=medium

  * New upstream release
  * Remove remaning patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 06:40:53 -0400

## gnome-boxes 47.0

=== debian/changelog ===
gnome-boxes (47.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Sep 2024 08:09:49 -0400

gnome-boxes (47~beta-2) unstable; urgency=medium

  * Remove unused Build-Depends: freerdp2-dev, libgtk-vnc-2.0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 08 Sep 2024 21:15:02 -0400

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,12 @@
                debhelper (>= 13.17),
                desktop-file-utils <!nocheck>,
                dh-sequence-user-session-migration,
-               freerdp2-dev,
                gobject-introspection (>= 0.9.6),
                itstool,
                libarchive-dev (>= 3.0.0),
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.52.0),
                libgtk-3-dev (>= 3.22.20),
-               libgtk-vnc-2.0-dev (>= 0.4.4),
                libgudev-1.0-dev (>= 165),
                libhandy-1-dev (>= 1.5.90),
                libosinfo-1.0-dev (>= 1.10.0-2~),

## gnome-boxes 48~alpha

=== debian/changelog ===
gnome-boxes (48~alpha-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Build-Depends and Depends: tracker (Closes: #1099663)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 08:52:35 -0500
